低危 Apache Commons Compress ZIP Archive denial of service

CVE编号

CVE-2021-36090

利用情况

暂无

补丁情况

官方补丁

披露时间

2021-07-13
漏洞描述
When reading a specially crafted ZIP archive, Compress can be made to allocate large amounts of memory that finally leads to an out of memory error even for very small inputs. This could be used to mount a denial of service attack against services that use Compress' zip package.
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
参考链接
http://www.openwall.com/lists/oss-security/2021/07/13/4
http://www.openwall.com/lists/oss-security/2021/07/13/6
https://commons.apache.org/proper/commons-compress/security-reports.html
https://lists.apache.org/thread.html/r0e87177f8e78b4ee453cd4d3d8f4ddec6f10d2c...
https://lists.apache.org/thread.html/r25f4c44616045085bc3cf901bb7e68e445eee53...
https://lists.apache.org/thread.html/r3227b1287e5bd8db6523b862c22676b046ad8f4...
https://lists.apache.org/thread.html/r4f03c5de923e3f2a8c316248681258125140514...
https://lists.apache.org/thread.html/r54049b66afbca766b6763c7531e9fe7a20293a1...
https://lists.apache.org/thread.html/r67ef3c07fe3b8c1b02d48012149d280ad6da8e4...
https://lists.apache.org/thread.html/r75ffc7a461e7e7ae77690fa75bd47bb71365c73...
https://lists.apache.org/thread.html/r9a23d4dbf4e34d498664080bff59f2893b855eb...
https://lists.apache.org/thread.html/r9f54c0caa462267e0cc68b49f141e91432b36b2...
https://lists.apache.org/thread.html/rab292091eadd1ecc63c516e9541a7f241091cf2...
https://lists.apache.org/thread.html/racd0c0381c8404f298b226cd9db2eaae965b14c...
https://lists.apache.org/thread.html/rb064d705fdfa44b5dae4c366b369ef659795108...
https://lists.apache.org/thread.html/rb5fa2ee61828fa2e42361b58468717e84902dd7...
https://lists.apache.org/thread.html/rb6e1fa80d34e5ada45f72655d84bfd90db0ca44...
https://lists.apache.org/thread.html/rb7adf3e55359819e77230b4586521e5c6874ce5...
https://lists.apache.org/thread.html/rba65ed5ddb0586f5b12598f55ec7db3633e7b7f...
https://lists.apache.org/thread.html/rbbf42642c3e4167788a7c13763d192ee049604d...
https://lists.apache.org/thread.html/rbe91c512c5385181149ab087b6c909825d34299...
https://lists.apache.org/thread.html/rc4134026d7d7b053d4f9f220553112273240501...
https://lists.apache.org/thread.html/rc7df4c2f0bbe2028a1498a46d322c91184f7a36...
https://lists.apache.org/thread.html/rd4332baaf6debd03d60deb7ec93bee49e5fdbe9...
https://lists.apache.org/thread.html/rdd5412a5b9a25aed2a02c3317052d38a9712831...
https://lists.apache.org/thread.html/rf2f4d7940371a7c7c5b679f50e28fc7fcc82cd0...
https://lists.apache.org/thread.html/rf3f0a09fee197168a813966c5816157f6c600a4...
https://lists.apache.org/thread.html/rf93b6bb267580e01deb7f3696f7eaca00a290c6...
https://lists.apache.org/thread.html/rfba19167efc785ad3561e7ef29f340d65ac8f0d...
https://security.netapp.com/advisory/ntap-20211022-0001/
https://www.oracle.com/security-alerts/cpuoct2021.html
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 apache commons_compress * From
(including)
1.0
Up to
(including)
1.20
运行在以下环境
系统 debian_10 apache-commons-compress * Up to
(excluding)
1.18-2+deb10u1
运行在以下环境
系统 debian_11 apache-commons-compress * Up to
(excluding)
1.20-1
运行在以下环境
系统 debian_12 apache-commons-compress * Up to
(excluding)
1.20-1
运行在以下环境
系统 debian_9 apache-commons-compress * Up to
(excluding)
1.13-1
运行在以下环境
系统 debian_sid apache-commons-compress * Up to
(excluding)
1.20-1
运行在以下环境
系统 opensuse_Leap_15.2 apache-commons-compress * Up to
(excluding)
1.21-lp152.2.3.1
运行在以下环境
系统 opensuse_Leap_15.3 apache-commons-compress * Up to
(excluding)
1.21-3.3.1
阿里云评分
3.4
  • 攻击路径
    远程
  • 攻击复杂度
    容易
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
NVD-CWE-Other
阿里云安全产品覆盖情况